Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 10 Dec 2018, 03:01
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
PPMo - Puppy Package Manager in the cloud
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [22 Posts]   Goto page: Previous 1, 2
Author Message
rokytnji

Joined: 20 Jan 2009
Posts: 2287

PostPosted: Tue 10 May 2011, 00:00    Post subject: New pianobar from Debian Sid
Subject description: pandora radio player in terminal
 

Just a carry over from

http://www.murga-linux.com/puppy/viewtopic.php?t=62581

Quote:
Well post here and at your other link. Pandora radio broke your piano bar with a "please update libpiano" error. So I made 2 updated Debian Sid pets for pianobar. It is working but throws a couple of errors. Just a Biker. Not a good programmer. Maybe better minds than mine can figure out errors.

Made this in Puppy 5.2. It is playing pandora now for me.


Playing since I posted

Code:
[?] Select station: 23
|>  Station "The Cult Radio" (376063668608468370)
(i) Receiving new playlist... Ok.
|>  "Rain (Live)" by "The Cult" on "Capsule 1"
|>  "Crackerman" by "Stone Temple Pilots" on "Core"
|>  "Your Decision" by "Alice In Chains" on "Black Gives Way To Blue"
|>  "Shot Down In Flames" by "AC/DC" on "Highway To Hell"
#   -01:05/03:22


Error I get but it works.

Code:
sh-4.1# pianobar
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libsndio.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libroar.so => dlopen() failed
Welcome to pianobar (2011.01.24)! Press ? for a list of commands.


Pets below. Type pianobar in terminal to run it.
libao4_1.1.0-1_i386.pet
Description  Install first. It is a dependency for pianobar. Debian Sid deb
pet

 Download 
Filename  libao4_1.1.0-1_i386.pet 
Filesize  40.68 KB 
Downloaded  335 Time(s) 
Back to top
View user's profile Send private message 
noryb009

Joined: 20 Mar 2010
Posts: 607

PostPosted: Sun 15 May 2011, 17:25    Post subject:  

rokytnji: Would you rather me just make you an account to post future pets?
Back to top
View user's profile Send private message 
rokytnji

Joined: 20 Jan 2009
Posts: 2287

PostPosted: Mon 16 May 2011, 19:13    Post subject:  

noryb009 wrote:
rokytnji: Would you rather me just make you an account to post future pets?


Thanks but nope. I made that pet out of necessity for my puppy installs. I posted it because it worked out for me. First time I ever made a pet out of a deb and got lucky.

If I needed to grab more dependencies than I had. I might have gotten lost. Just a home user. Trying to help when I can. I run AntiX also. So when I get something working in AntiX that is small and will benefit Puppy users. I will post here and at morgonzolas thread if I successfully make a pet out of a deb. I would hate to break someones install of Puppy with my ineptness. Still Learning. Rolling Eyes
Back to top
View user's profile Send private message 
rokytnji

Joined: 20 Jan 2009
Posts: 2287

PostPosted: Wed 27 Jul 2011, 12:52    Post subject: Another carry over
Subject description: Pianobar Update
 

Update: http://murga-linux.com/puppy/viewtopic.php?t=62581&start=15

My previous Deb Pets were rendered useless again by Pandora site again. Got the "please update libpiano 0 error"

So made myself some new ones. I still use the old faad2-2.7 pet by MyWolfe and my old libao4 pet I posted a few posts up. (this in in my Link posted at beginning of post here)

These pets fixed pinaobar for me. I made them in Puppeee 4.4

I uninstalled old pianobar only using Puppeee package Manager (same as Puppy package manager) before installing these new pets I made.

Code:
[~] pianobar
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libroar.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libnas.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libpulse.so => dlopen() failed
ERROR: Failed to load plugin /usr/lib/ao/plugins-4/libsndio.so => dlopen() failed
Welcome to pianobar (2011.07.09)! Press ? for a list of commands.
[?] Username:Biker
[?] Password:
(i) Login... Ok.
(i) Get stations... Ok.
    0)     AC/DC Radio
    1)     Audioslave Radio
    2)     Avenged Sevenfold Radio
    3)     Buckcherry Radio
    4)     Charlie Sexton Radio
    5)     Chris Rea Radio
    6)     Depeche Mode Radio
    7) q   Evanescence Radio
    8)     Faith No More Radio
    9)     Gary Numan/Tubeway Army Radio
   10)     Gorillaz Radio
   11)  Q  Roks QuickMix
   12)     Hoobastank Radio
   13)     Les Claypool Radio
   14)     Little Feat Radio
   15)     Marilyn Manson Radio
   16)     Nickelback Radio
   17) q   Nine Inch Nails Radio
   18)     Puddle Of Mudd Radio
   19)     Savoy Brown Radio
   20)     Seether Radio
   21)     Stevie Ray Vaughan Radio
   22)     The Black Keys Radio
   23)     The Cult Radio
   24)     The Fabulous Thunderbirds Radio
   25)     Thin Lizzy Radio
   26)     Thousand Foot Krutch Radio
   27)     ZZ Top Radio
[?] Select station:


I still ignore the errors in terminal when pianobar launches since it works OK for me. Just to reiterate, these are converted Debian Sid Packages.

EDIT: These pets are now no good as of 2011/9/23

refer to thread
http://www.murga-linux.com/puppy/viewtopic.php?t=62581&start=15
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 407

PostPosted: Sun 19 Feb 2012, 22:40    Post subject:  

Shocked I forgot all about this!

Good thing a thread in the "Puppy Power" section reminded me!


I guess I'd better go update my listed packages, eh? Maybe tomorrow, though; I like early morning- say, 3 to 4 am- for that type of thing.
Back to top
View user's profile Send private message 
noryb009

Joined: 20 Mar 2010
Posts: 607

PostPosted: Sun 19 Feb 2012, 23:04    Post subject:  

Don't bother, PPMo is dead. See this thread for a better package site in planning stages.
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 407

PostPosted: Wed 29 Feb 2012, 10:29    Post subject:  

noryb009 wrote:
Don't bother, PPMo is dead. See this thread for a better package site in planning stages.

Yeah, I saw that after I posted- just forgot to edit here.

I'll take a look at the other thread, though. Thanks for pointing me in that direction!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 2 [22 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0723s ][ Queries: 12 (0.0297s) ][ GZIP on ]